
/************************************************************
 *  SRL1.h - A Library for Controlling the MRK-1 Sumo Robot League robot
 *  Author - William J. Ashby, PhD <washby@sumorobotleague.com> This library is released into the public domain.
 *  ************************************************************
 */

#ifndef SRL1_h

#define SRL1_h
#include "Arduino.h"


class SRL1 {
  public:
    SRL1();
	bool debug1;
    bool leftIsFlipped;
    bool rightIsFlipped; 
	void debug(int val);	
    void Forward(int amt); 
    void Backward(int amt);
    void Right(int deg);
    void Left(int deg);
    void PD();
    void PU();
    void drive(int percentPower);
    void setSpeedForMotor(int spd, int motor);
    void flipMotorDirection(int mtr);
    void turnDegrees(int y);
    bool objectWithin(int cm);
    int getDistance();
	int getIR(int side);
	int getThreshold(int side);
	void setThreshold(int side, int val);
    bool isWhite();
    void calibrateBlackWhite();
	void tuneForward(double x);
	void tuneBackward(double x);
	void tuneTurn(double x);
    void jumpStartSetup();


  private:
    int lThresh;
    int rThresh;
	int rearThresh;
	double tuningTurn;
	double tuningFwd;
	double tuningBwd;
    
};

#endif
